<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class SystemController extends AbstractController
{
    #[Route('/system', name: 'app_system')]
    public function index(): Response
    {
        return $this->render('system/index.html.twig', [
            'controller_name' => 'SystemController',
        ]);
    }

    #[Route('/system/status', name: 'app_system_status')]
    public function status(): Response
    {
        return $this->render('system/index.html.twig', [
            'controller_name' => 'SettingsController',
        ]);
    }

    #[Route('/system/backup', name: 'app_system_backup')]
    public function backup(): Response
    {
        return $this->render('system/index.html.twig', [
            'controller_name' => 'SettingsController',
        ]);
    }

    #[Route('/system/logs', name: 'app_system_logs')]
    public function logs(): Response
    {
        return $this->render('system/index.html.twig', [
            'controller_name' => 'SettingsController',
        ]);
    }

    #[Route('/system/updates', name: 'app_system_updates')]
    public function update(): Response
    {
        return $this->render('system/index.html.twig', [
            'controller_name' => 'SettingsController',
        ]);
    }
}
